MethodArgument
Date: 2007-08-21

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra.math
Class MethodArgument

    java.lang.Object
      tcra.math.MethodArgument

    public class MethodArgument

extends java.lang.Object

MethodArgument provides a way to represent an argument to a specification's method.

Nested Class Summary
`static class` | `MethodArgument.MathRep`

Constructor Summary
`MethodArgument(java.lang.String name, ProgrammingType type, MethodArgument.MathRep rep)` Class constructor specifying the name, programming type, and formal mathematical type of the argument.

Method Summary
`MethodArgument.MathRep` | `getMathRep()` Get this argument's mathematical representation.
`java.lang.String` | `getName()` Get this argument's name.
`ProgrammingType` | `getType()` Get this argument's programming type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodArgument

    public MethodArgument(java.lang.String name,
                          ProgrammingType type,
                          MethodArgument.MathRep rep)

  Class constructor specifying the name, programming type, and formal mathematical type of the argument.

  Parameters:
    `name` - the name of the argument as would be seen in code
    `type` - the programming type of the argument
    `rep` - formal mathematical representation of the argument

Method Detail

### getName

    public java.lang.String getName()

  Get this argument's name.

  Returns:
    String Argument name.

### getType

    public ProgrammingType getType()

  Get this argument's programming type. The programming type is the type of the argument if it was in code.

  Returns:
    ProgrammingType Argument's source code type.

### getMathRep

    public MethodArgument.MathRep getMathRep()

  Get this argument's mathematical representation.

  Returns:
    MathRep Argument's mathematical representation.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD